<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Eight_Paper
 */
?>
<?php
$post_date 	 = get_theme_mod('eight_paper_posts_date_option','show');
$post_author = get_theme_mod('eight_paper_posts_author_option','show'); 
$post_cat 	 = get_theme_mod('eight_paper_posts_cat_option','show'); 
$post_image  = get_theme_mod('eight_paper_posts_featured_option','show'); 
 ?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php
			the_title( '<h1 class="entry-title">', '</h1>' );
		?>
		<div class="meta-comment-wrap ep-clearfix">
			<div class="entry-meta">
				<?php
				if($post_date == 'show'){
					eight_paper_posted_on();
				}
				if($post_author == 'show'){
					eight_paper_posted_by();
				}
				?>
			</div><!-- .entry-meta -->
			<?php if($post_cat == 'show'){ ?>
				<footer class="entry-footer">
					<?php eight_paper_entry_footer(); ?>
				</footer><!-- .entry-footer -->
			<?php } ?>

		</div>
	</header><!-- .entry-header -->

	<?php if($post_image == 'show'){
	 eight_paper_post_thumbnail(); 
	}?>

	<div class="entry-content">
		<?php
			the_content( sprintf(
				wp_kses(
					/* translators: %s: Name of current post. Only visible to screen readers */
					__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'eight-paper' ),
					array(
						'span' => array(
							'class' => array(),
						),
					)
				),
				get_the_title()
			) );

		wp_link_pages( array(
			'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'eight-paper' ),
			'after'  => '</div>',
		) );
		?>
	</div><!-- .entry-content -->
</article><!-- #post-<?php the_ID(); ?> -->
